{
  "name": "@raytio/decrypt-helper",
  "version": "6.3.2",
  "author": "Raytio",
  "type": "module",
  "description": "A helper to decrypt data shared by Raytio users",
  "main": "dist/index.js",
  "files": [
    "assets",
    "dist"
  ],
  "scripts": {
    "dev-pdf": "ts-node src/test/pdf",
    "build": "tsc && find dist -path \"*/__tests__*\" -delete && rm -rf dist/test && cp -r src/locales/translations dist/locales/",
    "i18n": "react-intl-manager",
    "lint": "eslint --ext .js,.ts,.tsx --color --ignore-path .gitignore .",
    "test": "vitest"
  },
  "repository": "https://gitlab.com/raytio/tools/decrypt-helper.git",
  "homepage": "https://gitlab.com/raytio/tools/decrypt-helper#readme",
  "bugs": {
    "url": "https://gitlab.com/raytio/tools/decrypt-helper/issues"
  },
  "dependencies": {
    "@aws-amplify/auth": "3.4.25",
    "@raytio/core": "^11.3.0",
    "@raytio/maxcryptor": "^3.1.0",
    "@raytio/types": "^7.3.0",
    "aws-sdk": "^2.754.0",
    "jsx-pdf": "^2.3.0",
    "localstorage-polyfill": "^1.0.1",
    "mime-types": "^2.1.35",
    "pdfmake": "^0.1.59",
    "ramda": "^0.30.0"
  },
  "devDependencies": {
    "@babel/plugin-transform-react-jsx": "^7.0.0",
    "@raytio/react-intl-manager": "^6.4.0",
    "@types/jest-image-snapshot": "^6.3.0",
    "@types/jsx-pdf": "^2.2.6",
    "@types/mime-types": "^2.1.4",
    "@types/node": "^20.10.3",
    "@types/pdfmake": "^0.2.8",
    "@types/ramda": "^0.29.9",
    "@vitest/ui": "^1.2.2",
    "babel-preset-react-app": "^10.0.1",
    "dotenv": "^16.3.1",
    "eslint": "^8.57.0",
    "eslint-config-kyle": "^18.0.1",
    "eslint-plugin-jsx-a11y": "^6.8.0",
    "jest-image-snapshot": "^6.3.0",
    "pdf-to-img": "^2.1.2",
    "ts-node": "^10.9.1",
    "typescript": "^5.3.3",
    "vitest": "^1.2.2"
  },
  "eslintConfig": {
    "extends": "kyle",
    "rules": {
      "quotes": 0,
      "import/extensions": 0,
      "react/jsx-key": 0,
      "react/react-in-jsx-scope": 0,
      "react/style-prop-object": 0,
      "react/no-unknown-property": 0,
      "unicorn/prevent-abbreviations": [
        1,
        {
          "replacements": {
            "i": false,
            "env": false,
            "props": false
          }
        }
      ],
      "@typescript-eslint/no-unused-vars": [
        2,
        {
          "varsIgnorePattern": "JsxPdf"
        }
      ],
      "no-unused-vars": 0,
      "camelcase": 0
    },
    "globals": {
      "vi": true
    },
    "settings": {
      "jest": {
        "version": 29
      }
    }
  },
  "prettier": {
    "trailingComma": "es5"
  },
  "engines": {
    "node": ">=18"
  },
  "i18n": {
    "localeDir": "src/locales/translations",
    "messagesDir": "tmp/.messages",
    "codeQualityReport": "tmp/codequality.json",
    "moduleSourceName": false
  }
}
